-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION [dbo].[Proc_TA_GetlevelIDHolidaySync]
(
	-- Add the parameters for the function here
	@Level1name nvarchar(200)=null,
	@Level2name nvarchar(200)=null,
	@Level3name nvarchar(200)=null,
	@Level4name nvarchar(200)=null
)
RETURNS int
AS
BEGIN
	-- Declare the return variable here
	DECLARE @ResultVar int

	-- Add the T-SQL statements to compute the return value here
	--Check Level1 Available or not
	if(isnull(@Level1name,'')!='')
		begin
			declare @LVL1ID int,@LVL2ID int,@LVL3ID int,@LVL4ID int
			select @LVL1ID=id from Ta_Tbl_levelDetails where name=@Level1name and isDeleted=0
			if(@LVL1ID is null)
				begin
					set @ResultVar=null
				end
			else
				begin
					--Check Level2 Available or not. If available check level 2 ID not available return values level 1
					if(isnull(@Level2name,'')!='')
						begin
							select @LVL2ID=id from Ta_Tbl_levelDetails where name=@Level2name and parentId=@LVL1ID and isDeleted=0
							if(@LVL2ID is null)
								begin
									set @ResultVar=null
								end
							else
								begin
									--Check Level3 Available or not. If available check level 3 ID not available return values level 2
									if(isnull(@Level3name,'')!='')
										begin
											select @LVL3ID=id from Ta_Tbl_levelDetails where name=@Level3name and parentId=@LVL2ID and isDeleted=0
											if(@LVL3ID is null)
												begin
													set @ResultVar=null
												end
											else
												begin
													--Check Level4 Available or not. If available check level 4 ID not available return values level 3
													if(isnull(@Level4name,'')!='')
														begin
															select @LVL4ID=id from Ta_Tbl_levelDetails where name=@Level4name and parentId=@LVL3ID and isDeleted=0
															if(@LVL4ID is null)
																begin
																	set @ResultVar=null
																end
															else
																begin
																	set @ResultVar=@LVL4ID
																end	
														END
													else
														begin
															set @ResultVar=@LVL3ID
														end
												end
										end
									else
										begin
											set @ResultVar=@LVL2ID
										end
								end
						END
					else
						begin
							set @ResultVar=@LVL1ID
						end
				end
		end
	else
		begin
			set @ResultVar=null
		end
	RETURN @ResultVar
END
GO
CREATE FUNCTION [dbo].[rvlf_fn_GetHHMMFromMin]      
(      
 @intTotalSeconds bigint       
)      
RETURNS varchar(50)      
AS      
BEGIN      
 SELECT @intTotalSeconds = ABS(@intTotalSeconds*60)      
 DECLARE @vcduration varchar(50)      
        
 SET @vcduration =  convert(varchar,CAST(RTRIM(CONVERT(char(8), FORMAT(@intTotalSeconds/3600, '0#'))) 
			+ ':' + CONVERT(char(2), FORMAT((@intTotalSeconds % 3600) / 60, '0#')) as varchar),108)

	RETURN @vcduration
        
         
 RETURN @vcduration      
END
GO
