<%@ page language="C#" autoeventwireup="true" inherits="Error_Page_ErrorPage, App_Web_1yua5bct" title="Error Page" %>

<%@ Register Src="../TA_uc_FooterForgotPwd.ascx" TagName="TA_uc_Footer" TagPrefix="uc3" %>
<%@ Register Src="../TA_uc_Header.ascx" TagName="TA_uc_Header" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<meta http-equiv="X-UA-Compatible" content="IE=document.documentMode;" />
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
        name="viewport" />
    <link rel="stylesheet" href="../bootstrap/css/bootstrap.min.css" type="text/css" />
    <link href="../bootstrap/font-awesome/css/font-awesome.css" rel="stylesheet" type="text/css" />
    <link href="../bootstrap/font-awesome/css/build.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="../dist/css/AdminLTE.min.css" type="text/css" />
    <link rel="stylesheet" href="../plugins/iCheck/flat/blue.css" type="text/css" />
    <link rel="stylesheet" href="../plugins/morris/morris.css" type="text/css" />
    <link rel="stylesheet" href="../plugins/jvectormap/jquery-jvectormap-1.2.2.css" type="text/css" />
    <link rel="stylesheet" href="../plugins/datepicker/datepicker3.css" type="text/css" />
    <link rel="stylesheet" href="../plugins/daterangepicker/daterangepicker-bs3.css"
        type="text/css" />
    <link rel="stylesheet" href="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css"
        type="text/css" />
    <link href="../css/ProgressBar.css" rel="stylesheet" type="text/css" />
    <link href="../DateTime/jquery.datetimepicker.css" rel="stylesheet" type="text/css" />

    <script type="text/javascript" language="javascript">
        function Keypress_Event(e) {
            // Here we need not backspace keycode = 8
            if (!e) e = window.event;
            var c = (window.event) ? e.keyCode : e.which;
            if (c == 8) {
                //For IE
                if (window.ActiveXObject) {
                    e.keyCode = 0;
                    return true;
                }
                    //For firefox.
                else if (window.XMLHttpRequest) {
                    return false;
                }
            }
            return true;
        }
    </script>

    <style>
        .row {
            padding-bottom: 15px;
        }
    </style>
</head>
<body oncontextmenu="return false" class="hold-transition skin-blue sidebar-mini">
    <form id="form1" runat="server">
        <div style="padding-left: 10%; padding-right: 10%; padding-top: 3%">
            <div class="box box-primary">
                <div class="panel panel-danger">
                    <div class="panel-heading" style="min-height: 32px">
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-2">
                                <asp:Label ID="lblDate" runat="server" CssClass="labl" Text="Date :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:Label ID="lblDateText" runat="server" CssClass="form-control"></asp:Label>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblReportFrom" runat="server" CssClass="labl" Text="Client Name :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:Label ID="lblReportFromText" runat="server" CssClass="form-control"></asp:Label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <asp:Label ID="lblVersion" runat="server" CssClass="labl" Text="Version :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:Label ID="lblVersionText" runat="server" CssClass="form-control"></asp:Label>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblTrackingPlatform" runat="server" CssClass="labl" Text="Browser Version :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:Label ID="lblTrackingPlatformText" runat="server" CssClass="form-control"></asp:Label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <asp:Label ID="lblBugCount" runat="server" CssClass="labl" Text="Bug History :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:LinkButton ID="lnkBugHistoryText" runat="server" CssClass="form-control"></asp:LinkButton>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblPageName" runat="server" CssClass="labl" Text="Error Page :"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:Label ID="lblPageNameText" runat="server" CssClass="form-control"></asp:Label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <asp:Label ID="lblException" runat="server" CssClass="labl" Text="Error Message :"></asp:Label>
                            </div>
                            <div class="col-md-9">
                                <asp:LinkButton ID="lnkErrorText" runat="server"></asp:LinkButton>
                            </div>
                        </div>
                        <div class="row" style="padding-bottom: 0px">
                            <div class="col-md-5">
                            </div>
                            <div class="col-md-6">
                                <div class="pull-right-button">
                                    <asp:Button ID="btnSendMail" runat="server" CssClass="but" Text="Send Mail" Visible="false" />
                                    <asp:LinkButton ID="btnHome" runat="server" CssClass="btn btn-default fa fa-home"
                                        Text="&nbsp;&nbsp;Home Page" OnClick="btnHome_Click" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
