<%@ page language="C#" autoeventwireup="true" inherits="System_Settings_System_ChangePassword, App_Web_mmbjguwj" masterpagefile="~/MasterFile/TimeCheck.master" %>

<asp:Content ContentPlaceHolderID="BodyContentPH" runat="server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/Change-Pass.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-6 col-xs-5">
                </div>
                <div class="col-sm-6 col-xs-7">
                    <div class="leave-manda">
                        <span>|</span>&nbsp;&nbsp;<asp:Label ID="lblMandatory" runat="server" Text="Mandatory" style="color:black"></asp:Label> (3 No.)
                    </div>
                </div>
            </div>
        </div>
        <div class="emp-filter" style="padding-top: 0px; padding-bottom: 0px">
            <div class="row">
                <div class="col-md-6 src-padRightBorder" style="padding-top: 20px; padding-bottom: 20px">
                    <div class="form-horizontal">
                        <div class="row" style="display: none">
                            <div class="col-md-12">
                                <span style="color: red">*</span>
                                <asp:Label ID="lbl_IndicatesMandatoryFields" Visible="True" runat="server" Text="Indicates Mandatory Fields"
                                    ForeColor="Red"></asp:Label>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-6">
                                <asp:Label ID="lbl_OldPass" runat="server"></asp:Label>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txt_OldPassword"
                                    Display="none" ValidationGroup="grGenerate" SetFocusOnError="true">*</asp:RequiredFieldValidator>
                            </div>
                            <div class="col-md-6">
                                <asp:TextBox ID="txt_OldPassword" runat="server" CssClass="form-control mandatory"
                                    ValidationGroup="grGenerate" onCut="return false" onDrop="return false" MaxLength="16"
                                    onkeypress="return character_number_nospace_pwd(event,this)" TextMode="Password"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-6">
                                <asp:Label ID="lbl_Newpass" runat="server"></asp:Label>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ValidationGroup="grGenerate"
                                    Display="none" runat="server" ControlToValidate="txt_NewPassword" SetFocusOnError="true">*</asp:RequiredFieldValidator>
                            </div>
                            <div class="col-md-6">
                                <asp:TextBox onpaste="return true" ID="txt_NewPassword" runat="server" CssClass="form-control mandatory"
                                    onCut="return false" onDrop="return false" MaxLength="16" onkeypress="return character_number_nospace_pwd(event,this)"
                                    TextMode="Password" ValidationGroup="grGenerate"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-6">
                                <asp:Label ID="lbl_ConfirmPassword" runat="server"></asp:Label>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" Display="none"
                                    ControlToValidate="txt_ConfirmPassword" ValidationGroup="grGenerate">*</asp:RequiredFieldValidator><br />
                                <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="txt_NewPassword"
                                    ControlToValidate="txt_ConfirmPassword" ValidationGroup="grGenerate" SetFocusOnError="True"
                                    Display="None"></asp:CompareValidator>
                            </div>
                            <div class="col-md-6">
                                <asp:TextBox onpaste="return true" ID="txt_ConfirmPassword" runat="server" CssClass="form-control mandatory"
                                    onCut="return false" onDrop="return false" MaxLength="16" onkeypress="return character_number_nospace_pwd(event,this)"
                                    TextMode="Password" ValidationGroup="grGenerate"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                            </div>
                            <div class="col-md-6">
                                <div class="pull-right-button">
                                    <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True"
                                        ShowSummary="False" ValidationGroup="grGenerate" />
                                    <asp:LinkButton ID="btn_Add" CssClass="btn save-btn fa-floppy-o" runat="server" OnClick="btn_Add_Click"
                                        Style="margin-left: 0px" ValidationGroup="grGenerate" />
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" style="padding-top: 20px; padding-bottom: 20px">
                    <div class="row form-group">
                        <div class="col-md-12">
                            <h5 class="src-padright">
                                <asp:Label ID="lblImportant" Visible="True" runat="server" Text="Important Notes:" Font-Bold="true"></asp:Label><br />
                            </h5>
                            <ul class="src-padright">
                                <li>
                                    <asp:Label ID="lblChangePassCon1" Visible="True" runat="server" Text="Your new password must be min 1 and max 16 characters in length."></asp:Label><br />
                                </li>
                                <li>
                                    <asp:Label ID="lblChangePassCon2" Visible="True" runat="server" Text="Passwords are case-sensitive. Remember to check your CAPS lock key."></asp:Label><br />
                                </li>
                                <li>
                                    <asp:Label ID="lblChangePassCon3" Visible="True" runat="server" Text="Special characters(@ ^ _ ) are not allowed."></asp:Label><br />
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
