﻿<%@ page language="C#" autoeventwireup="true" masterpagefile="~/MasterFile/TimeCheck.master" inherits="Transactions_TA_UI_Transactions_LeaveImport, App_Web_2upwntkj" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/import.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_ImportEmployeeHeader" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="col-md-12" style="color: Red; display: none">
            <span class="fa fa-asterisk"></span>
        </div>
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                </div>
                <div class="col-sm-2 col-sm-offset-8">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFields" Visible="True" runat="server" Text="Mandatory"></asp:Label>
                                (1 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-4">
                        <span style="color: Red">|</span>
                        <asp:Label ID="lbl_ImportFilePath" runat="server"></asp:Label>
                    </div>
                    <div class="col-md-8">
                        <asp:FileUpload ID="fuleave" runat="server" CssClass="form-control" />
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btnTemplate" CssClass="btn save-btn fa-download" runat="server" OnClick="btnTemplate_Click" />
                            <asp:LinkButton ID="btn_Upload" CssClass="btn save-btn fa-upload" runat="server" OnClick="btn_Upload_Click" />
                            <asp:LinkButton ID="btnClear" Text="&nbsp;&nbsp;Clear" CssClass="btn save-btn" runat="server" OnClick="btnClear_Click" />
                            <asp:LinkButton ID="btn_back" CssClass="btn save-btn fa-angle-left" runat="server" OnClick="btn_back_Click" />
                        </div>
                    </div>
                </div>
                <div class="row form-group" id="import3" runat="server">
                    <div class="col-md-12">
                        <dxGridview:ASPxGridView ID="grvImportDetails" EnableCallBacks="false" runat="server"
                            ClientInstanceName="grvImportDetails" AutoGenerateColumns="false" Width="100%">
                            <Columns>
                                <dxGridview:GridViewDataTextColumn Caption="Record Number" FieldName="RecordID"
                                    VisibleIndex="0" Width="100px">
                                    <DataItemTemplate>
                                        <asp:Label ID="lblRecordNumber" Text='<%# Eval("RecordID") %>' runat="server"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn Caption="Error Message" FieldName="Err_Msg" VisibleIndex="1">
                                    <DataItemTemplate>
                                        <asp:Label ID="lblError" Text='<%# Eval("Error_Msg") %>' runat="server"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                            </Columns>
                            <SettingsText EmptyDataRow="No Records Found" />
                            <SettingsPager PageSize="1000">
                            </SettingsPager>
                            <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="false" />
                            <Styles AlternatingRow-CssClass="table-bg">
                            </Styles>
                        </dxGridview:ASPxGridView>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="callout callout-info" style="margin-bottom: 0!important;">
                            <asp:Label ID="lblImportNote" runat="server"></asp:Label>
                        </div>
                        <br />
                        <ul>
                            <li>Don't remove / modify any field in the downloaded template file while importing. 
                                        Otherwise it wont allow you to import.
                            </li>
                            <li>Kindly use <b style="color: red">dd-MMM-yyyy</b> format for all date fields in excel sheet.
                            </li>
                            <li>Don't use more than <b style="color: red">1000</b> characters in reason field.
                            </li>
                            <li>Save the file as <b style="color: red">.CSV</b> format before import.
                            </li>
                            <li>By default, the system will save the leave data as full day with approved status directly.
                            </li>
                            <%--<li>It will not allow you to import half day<b style="color: red"> (0.5)</b> leaves.
                            </li>--%>
                            <%--<li>Don't mention Leave type field values more than <b style="color: red">3</b> characters.
                            </li>--%>
                            <li><b style="color: red; font-size: 16px">*</b> fields are mandatory in excel sheet.
                            </li>
                            <%--<li>In the leave template file, kindly update the leave balance values for all employees under respective leave types and all remaining leave 
                                type values need to be updated with 0 value. 
                            </li>--%>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
